function law_firm_lite_menu_open_nav() {
	window.law_firm_lite_responsiveMenu=true;
	jQuery(".sidenav").addClass('show');
}
function law_firm_lite_menu_close_nav() {
	window.law_firm_lite_responsiveMenu=false;
 	jQuery(".sidenav").removeClass('show');
}

jQuery(function($){
 	"use strict";
   	jQuery('.main-menu > ul').superfish({
		delay:       500,
		animation:   {opacity:'show',height:'show'},  
		speed:       'fast'
   	});
});

jQuery(document).ready(function () {
	window.claw_firm_lite_urrentfocus=null;
  	law_firm_lite_checkfocusdElement();
	var law_firm_lite_body = document.querySelector('body');
	law_firm_lite_body.addEventListener('keyup', law_firm_lite_check_tab_press);
	var law_firm_lite_gotoHome = false;
	var law_firm_lite_gotoClose = false;
	window.law_firm_lite_responsiveMenu=false;
 	function law_firm_lite_checkfocusdElement(){
	 	if(window.law_firm_lite_currentfocus=document.activeElement.className){
		 	window.law_firm_lite_currentfocus=document.activeElement.className;
	 	}
 	}
 	function law_firm_lite_check_tab_press(e) {
		"use strict";
		// pick passed event or global event object if passed one is empty
		e = e || event;
		var activeElement;

		if(window.innerWidth < 999){
		if (e.keyCode == 9) {
			if(window.law_firm_lite_responsiveMenu){
			if (!e.shiftKey) {
				if(law_firm_lite_gotoHome) {
					jQuery( ".main-menu ul:first li:first a:first-child" ).focus();
				}
			}
			if (jQuery("a.closebtn.mobile-menu").is(":focus")) {
				law_firm_lite_gotoHome = true;
			} else {
				law_firm_lite_gotoHome = false;
			}

		}else{

			if(window.law_firm_lite_currentfocus=="responsivetoggle"){
				jQuery( "" ).focus();
			}}}
		}
		if (e.shiftKey && e.keyCode == 9) {
		if(window.innerWidth < 999){
			if(window.law_firm_lite_currentfocus=="header-search"){
				jQuery(".responsivetoggle").focus();
			}else{
				if(window.law_firm_lite_responsiveMenu){
				if(law_firm_lite_gotoClose){
					jQuery("a.closebtn.mobile-menu").focus();
				}
				if (jQuery( ".main-menu ul:first li:first a:first-child" ).is(":focus")) {
					law_firm_lite_gotoClose = true;
				} else {
					law_firm_lite_gotoClose = false;
				}
			
			}else{

			if(window.law_firm_lite_responsiveMenu){
			}}}}
		}
	 	law_firm_lite_checkfocusdElement();
	}
});

jQuery(function($){
	new WOW().init();
});

(function( $ ) {
	jQuery('document').ready(function($){
		jQuery(window).load(function() {
		    setTimeout(function () {
	    		jQuery("#preloader").fadeOut("slow");
		    },1000);
		})
	});

	/*sticky sidebar*/
window.addEventListener('scroll', function() {
  var sticky = document.querySelector('.sidebar-sticky');
  if (!sticky) return;

  var scrollTop = window.scrollY || document.documentElement.scrollTop;
  var windowHeight = window.innerHeight;
  var documentHeight = document.documentElement.scrollHeight;

  var isBottom = scrollTop + windowHeight >= documentHeight-100;

  if (scrollTop >= 100 && !isBottom) {
    sticky.classList.add('sidebar-fixed');
  } else {
    sticky.classList.remove('sidebar-fixed');
  }
});
	
	$(window).scroll(function(){
		var sticky = $('.header-sticky'),
			scroll = $(window).scrollTop();

		if (scroll >= 100) sticky.addClass('header-fixed');
		else sticky.removeClass('header-fixed');
	});	

	$(document).ready(function () {
		$(window).scroll(function () {
		    if ($(this).scrollTop() > 100) {
		        $('.scrollup i').fadeIn();
		    } else {
		        $('.scrollup i').fadeOut();
		    }
		});
		$('.scrollup i').click(function () {
		    $("html, body").animate({
		        scrollTop: 0
		    }, 600);
		    return false;
		});
	});
})( jQuery );

jQuery(document).ready(function () {
	  function law_firm_lite_search_loop_focus(element) {
	  var law_firm_lite_focus = element.find('select, input, textarea, button, a[href]');
	  var law_firm_lite_firstFocus = law_firm_lite_focus[0];  
	  var law_firm_lite_lastFocus = law_firm_lite_focus[law_firm_lite_focus.length - 1];
	  var KEYCODE_TAB = 9;

	  element.on('keydown', function law_firm_lite_search_loop_focus(e) {
	    var isTabPressed = (e.key === 'Tab' || e.keyCode === KEYCODE_TAB);

	    if (!isTabPressed) { 
	      return; 
	    }

	    if ( e.shiftKey ) /* shift + tab */ {
	      if (document.activeElement === law_firm_lite_firstFocus) {
	        law_firm_lite_lastFocus.focus();
	          e.preventDefault();
	        }
	      } else /* tab */ {
	      if (document.activeElement === law_firm_lite_lastFocus) {
	        law_firm_lite_firstFocus.focus();
	          e.preventDefault();
	        }
	      }
	  });
	}
	jQuery('.search-box span a').click(function(){
        jQuery(".serach_outer").slideDown(1000);
    	law_firm_lite_search_loop_focus(jQuery('.serach_outer'));
    });

    jQuery('.closepop a').click(function(){
        jQuery(".serach_outer").slideUp(1000);
    });
});
/* Progress Bar */
document.addEventListener("DOMContentLoaded", function () {
    const law_firm_lite_progressBar =
        document.getElementById("law_firm_lite_elemento_progress_bar");
    if (!law_firm_lite_progressBar) return;
    window.addEventListener("scroll", function () {
        const law_firm_lite_scrollTop =
            document.documentElement.scrollTop || document.body.scrollTop;
        const law_firm_lite_height =
            document.documentElement.scrollHeight -
            document.documentElement.clientHeight;
        const law_firm_lite_scrolled =
            (law_firm_lite_scrollTop / law_firm_lite_height) * 100;
        law_firm_lite_progressBar.style.width =
            law_firm_lite_scrolled + "%";
    });
});